/* fonctions Sprite16x
Derniere modification: 27/01/2002
*/

asm("
Sprite16x16:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	subq			#1,%d3
	add.w   	%d1,%d1
	move.w		%d0,%d2				
	lsr.w			#4,%d0				
	add.w			%d0,%d0				
	and.w			#15,%d2				
  add.w   	0(%a1,%d1.w),%d0 
  add.w   	%d0,%a1  
 	tst.w			%d2
	beq				Sprite16x16_16x
	cmp.w			#7,%d2
	ble				Sprite16x16_none2b 
	moveq			#16,%d1 				
	sub.w			%d2,%d1
	
Sprite16x16_none:
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_none
	rts

Sprite16x16_16x:
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_16x
	rts	
Sprite16x16_none2b:
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_none2b
	rts	


/*-----------------------------*/


SpriteM16x16:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	subq		#1,%d3
	add.w   %d1,%d1
	move.w	%d0,%d2				
	lsr.w		#4,%d0				
	add.w		%d0,%d0				
	and.w		#15,%d2				
  add.w   0(%a1,%d1.w),%d0 
  add.w   %d0,%a1  
 	tst.w		%d2
	beq			SpriteM16x16_16x
	cmp.w		#7,%d2
	ble			SpriteM16x16_none2b  
	moveq		#16,%d1 				
	sub.w		%d2,%d1

SpriteM16x16_none:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	dbra		%d3,SpriteM16x16_none
	rts
	

SpriteM16x16_16x:
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16x16_16x
	rts

SpriteM16x16_none2b:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16x16_none2b
	rts

/*******************************************/

Sprite16x16BW:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	subq			#1,%d3
	add.w   	%d1,%d1
	move.w		%d0,%d2				
	lsr.w			#4,%d0				
	add.w			%d0,%d0				
	and.w			#15,%d2				
  add.w   	0(%a1,%d1.w),%d0
  add.w			CBWplan,%d0 
  add.w   	%d0,%a1  
 	tst.w			%d2
	beq				Sprite16x16_16xBW
	cmp.w			#7,%d2
	ble				Sprite16x16_none2bBW 
	moveq			#16,%d1 				
	sub.w			%d2,%d1
	
Sprite16x16_noneBW:
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_noneBW
	rts

Sprite16x16_16xBW:
	move.w		(%a0)+,%d0			
	or.w			%d0,(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_16xBW
	rts	
Sprite16x16_none2bBW:
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16x16_none2bBW
	rts	

/********************************/

SpriteM16x16BW:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	subq		#1,%d3
	add.w   %d1,%d1
	move.w	%d0,%d2				
	lsr.w		#4,%d0				
	add.w		%d0,%d0				
	and.w		#15,%d2				
  add.w   0(%a1,%d1.w),%d0
  add.w		CBWplan,%d0 
  add.w   %d0,%a1  
 	tst.w		%d2
	beq			SpriteM16x16_16xBW
	cmp.w		#7,%d2
	ble			SpriteM16x16_none2bBW  
	moveq		#16,%d1 				
	sub.w		%d2,%d1

SpriteM16x16_noneBW:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	add.w		#38,%a1	
	dbra		%d3,SpriteM16x16_noneBW
	rts
	

SpriteM16x16_16xBW:
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	move.w	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16x16_16xBW
	rts

SpriteM16x16_none2bBW:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16x16_none2bBW
	rts



/* harder better faster stronger */

XLIB_Sprite16:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	add.w   	%d1,%d1
	move.w		%d0,%d2				
	lsr.w			#4,%d0				
	add.w			%d0,%d0				
	and.w			#15,%d2				
  add.w   	0(%a1,%d1.w),%d0 
  add.w   	%d0,%a1  
 	tst.w			%d2
	beq				Sprite16_16x
	cmp.w			#7,%d2
	ble				Sprite16_none2b 
	moveq			#16,%d1 				
	sub.w			%d2,%d1
	
Sprite16_none:
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
		moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0					
	move.w		(%a0)+,%d0			
	lsl.l			%d1,%d0					
	or.l			%d0,(%a1)
	moveq			#0,%d0					
	move.w  	(%a0)+,%d0
	lsl.l			%d1,%d0					
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16_none
	rts

Sprite16_16x:
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	move.l		(%a0)+,%d0			
	or.w			%d0,6080(%a1)
	swap			%d0
	or.w			%d0,(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16_16x
	rts	

Sprite16_none2b:
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	moveq			#0,%d0
	move.w		(%a0)+,%d0												/* Mask */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,(%a1)
	moveq			#0,%d0
	move.w		(%a0)+,%d0 	 											/* Dark plan */
	swap			%d0
	lsr.l			%d2,%d0
	or.l			%d0,6080(%a1)
	add.w			#38,%a1
	dbra			%d3,Sprite16_none2b
	rts	


/*-----------------------------*/

XLIB_SpriteM16:
	move.l		CGplan,%a1
	add.w			#32,%d0
	add.w			#32,%d1	
	add.w   %d1,%d1
	move.w	%d0,%d2				
	lsr.w		#4,%d0				
	add.w		%d0,%d0				
	and.w		#15,%d2				
  add.w   0(%a1,%d1.w),%d0 
  add.w   %d0,%a1  
 	tst.w		%d2
	beq			SpriteM16_16x
	cmp.w		#7,%d2
	ble			SpriteM16_none2b  
	moveq		#16,%d1 				
	sub.w		%d2,%d1

SpriteM16_none:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	lsl.l		%d1,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	lsl.l		%d1,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	lsl.l		%d1,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1	
	dbra		%d3,SpriteM16_none
	rts
	

SpriteM16_16x:
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	move.w	(%a0)+,%d0												/* Mask */
	not.w		%d0
	and.w		%d0,(%a1)
	and.w		%d0,6080(%a1)
	move.l	(%a0)+,%d0  											/* Light sprite  */
	or.w		%d0,6080(%a1)
	swap		%d0
	or.w		%d0,(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16_16x
	rts

SpriteM16_none2b:
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	moveq		#0,%d0
	move.w	(%a0)+,%d0												/* Mask */
	swap		%d0
	lsr.l		%d2,%d0
	not.l		%d0
	and.l		%d0,(%a1)
	and.l		%d0,6080(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0  											/* Light sprite  */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,(%a1)
	moveq		#0,%d0
	move.w	(%a0)+,%d0 	 											/* Dark plan */
	swap		%d0
	lsr.l		%d2,%d0
	or.l		%d0,6080(%a1)
	add.w		#38,%a1
	dbra		%d3,SpriteM16_none2b
	rts



");
